/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { WebGridBaseDirectiveDescription } from "./WebGridBaseDirectiveDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let WebTreeGridDescription = /*@__PURE__*/ (() => {
    class WebTreeGridDescription extends WebGridBaseDirectiveDescription {
        constructor() {
            super();
            this.hn = null;
            this.hp = null;
            this.hq = null;
            this.hh = false;
            this.hr = null;
            this.he = null;
            this.hd = null;
            this.ho = null;
            this.hl = null;
            this.hj = 0;
            this.hs = null;
        }
        get_type() {
            return "WebTreeGrid";
        }
        get childDataKey() {
            return this.hn;
        }
        set childDataKey(a) {
            this.hn = a;
            this.g("ChildDataKey");
        }
        get foreignKey() {
            return this.hp;
        }
        set foreignKey(a) {
            this.hp = a;
            this.g("ForeignKey");
        }
        get hasChildrenKey() {
            return this.hq;
        }
        set hasChildrenKey(a) {
            this.hq = a;
            this.g("HasChildrenKey");
        }
        get cascadeOnDelete() {
            return this.hh;
        }
        set cascadeOnDelete(a) {
            this.hh = a;
            this.g("CascadeOnDelete");
        }
        get id() {
            return this.hr;
        }
        set id(a) {
            this.hr = a;
            this.g("Id");
        }
        get rootRecords() {
            return this.he;
        }
        set rootRecords(a) {
            this.he = a;
            this.g("RootRecords");
        }
        get processedRootRecords() {
            return this.hd;
        }
        set processedRootRecords(a) {
            this.hd = a;
            this.g("ProcessedRootRecords");
        }
        get dataRef() {
            return this.ho;
        }
        set dataRef(a) {
            this.ho = a;
            this.g("DataRef");
        }
        get filteredData() {
            return this.hl;
        }
        set filteredData(a) {
            this.hl = a;
            this.g("FilteredData");
        }
        get expansionDepth() {
            return this.hj;
        }
        set expansionDepth(a) {
            this.hj = a;
            this.g("ExpansionDepth");
        }
        get rowLoadingIndicatorTemplateRef() {
            return this.hs;
        }
        set rowLoadingIndicatorTemplateRef(a) {
            this.hs = a;
            this.g("RowLoadingIndicatorTemplateRef");
        }
    }
    WebTreeGridDescription.$t = markType(WebTreeGridDescription, 'WebTreeGridDescription', WebGridBaseDirectiveDescription.$);
    return WebTreeGridDescription;
})();
